Skip to content
WP Engine Documentation

Get a site transfer by ID

GET
/sites/{site_id}/site_transfers/{transfer_id}

Returns a single site transfer for the given site.

site_id
required
string format: uuid

ID of the site

transfer_id
required
string format: uuid

ID of the site transfer

Success

object
id
required

Unique identifier for the site transfer

string format: uuid
Example
7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4
site
required

Name of the site being transferred (as it was at time of transfer)

string
Example
my-wordpress-site
installs
required

Names of the installs associated with the site at time of transfer

Array<string>
Example
[
"mysite",
"mysitestg"
]
origin_account
required

Name of the account the site is transferring from

string
Example
Acme Corp
destination_account
required

Name of the account the site is transferring to

string
Example
New Owner Inc
status
required

Current status of the transfer

string
Allowed values: pending scheduled in_progress completed failed cancelled
Example
scheduled
scheduled_time

The time at which the transfer is scheduled to execute. Null for immediate transfers.

string format: date-time
Example
2026-06-01T14:30:00Z
created_at
required

Timestamp when the transfer was created

string format: date-time
Example
2026-05-15T10:00:00Z
updated_at
required

Timestamp when the transfer was last updated

string format: date-time
Example
2026-05-15T10:05:00Z

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

Service unavailable